Package org.apache.commons.imaging.formats.tiff.constants

## Class TiffTagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.TiffTagConstants

-     public final class TiffTagConstants
      extends Object

  Tags from the TIFF6 specification.
  http://partners.adobe.com/public/developer/en/tiff/TIFF6.pdf

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static List<TagInfo>` | `ALL_TIFF_TAGS` |
    `static int` | `COMPRESSION_VALUE_ADOBE_DEFLATE` |
    `static int` | `COMPRESSION_VALUE_CCIRLEW` |
    `static int` | `COMPRESSION_VALUE_CCITT_1D` |
    `static int` | `COMPRESSION_VALUE_DCS` |
    `static int` | `COMPRESSION_VALUE_DEFLATE` |
    `static int` | `COMPRESSION_VALUE_EPSON_ERF_COMPRESSED` |
    `static int` | `COMPRESSION_VALUE_IT8BL` |
    `static int` | `COMPRESSION_VALUE_IT8CTPAD` |
    `static int` | `COMPRESSION_VALUE_IT8LW` |
    `static int` | `COMPRESSION_VALUE_IT8MP` |
    `static int` | `COMPRESSION_VALUE_JBIG` |
    `static int` | `COMPRESSION_VALUE_JBIG_B_AND_W` |
    `static int` | `COMPRESSION_VALUE_JBIG_COLOR` |
    `static int` | `COMPRESSION_VALUE_JPEG` |
    `static int` | `COMPRESSION_VALUE_JPEG_2000` |
    `static int` | `COMPRESSION_VALUE_JPEG_OLD_STYLE` |
    `static int` | `COMPRESSION_VALUE_KODAK_DCR_COMPRESSED` |
    `static int` | `COMPRESSION_VALUE_LZW` |
    `static int` | `COMPRESSION_VALUE_NEXT` |
    `static int` | `COMPRESSION_VALUE_NIKON_NEF_COMPRESSED` |
    `static int` | `COMPRESSION_VALUE_PACK_BITS` |
    `static int` | `COMPRESSION_VALUE_PENTAX_PEF_COMPRESSED` |
    `static int` | `COMPRESSION_VALUE_PIXAR_FILM` |
    `static int` | `COMPRESSION_VALUE_PIXAR_LOG` |
    `static int` | `COMPRESSION_VALUE_SGILOG` |
    `static int` | `COMPRESSION_VALUE_SGILOG_24` |
    `static int` | `COMPRESSION_VALUE_T4_GROUP_3_FAX` |
    `static int` | `COMPRESSION_VALUE_T6_GROUP_4_FAX` |
    `static int` | `COMPRESSION_VALUE_THUNDERSCAN` |
    `static int` | `COMPRESSION_VALUE_UNCOMPRESSED` |
    `static int` | `EXTRA_SAMPLE_ASSOCIATED_ALPHA` |
    `static int` | `EXTRA_SAMPLE_UNASSOCIATED_ALPHA` |
    `static int` | `FILL_ORDER_VALUE_NORMAL` |
    `static int` | `FILL_ORDER_VALUE_REVERSED` |
    `static int` | `GRAY_RESPONSE_UNIT_VALUE_0_00001` |
    `static int` | `GRAY_RESPONSE_UNIT_VALUE_0_0001` |
    `static int` | `GRAY_RESPONSE_UNIT_VALUE_0_001` |
    `static int` | `GRAY_RESPONSE_UNIT_VALUE_0_01` |
    `static int` | `GRAY_RESPONSE_UNIT_VALUE_0_1` |
    `static int` | `INK_SET_VALUE_CMYK` |
    `static int` | `INK_SET_VALUE_NOT_CMYK` |
    `static int` | `JPEGPROC_VALUE_BASELINE` |
    `static int` | `JPEGPROC_VALUE_LOSSLESS` |
    `static int` | `OLD_SUBFILE_TYPE_VALUE_FULL_RESOLUTION_IMAGE` |
    `static int` | `OLD_SUBFILE_TYPE_VALUE_REDUCED_RESOLUTION_IMAGE` |
    `static int` | `OLD_SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_IMAGE` |
    `static int` | `ORIENTATION_VALUE_HORIZONTAL_NORMAL` |
    `static int` | `ORIENTATION_VALUE_MIRROR_HORIZONTAL` |
    `static int` | `ORIENTATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_270_CW` |
    `static int` | `ORIENTATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_90_CW` |
    `static int` | `ORIENTATION_VALUE_MIRROR_VERTICAL` |
    `static int` | `ORIENTATION_VALUE_ROTATE_180` |
    `static int` | `ORIENTATION_VALUE_ROTATE_270_CW` |
    `static int` | `ORIENTATION_VALUE_ROTATE_90_CW` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_BLACK_IS_ZERO` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_CIELAB` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_CMYK` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_COLOR_FILTER_ARRAY` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_ICCLAB` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_ITULAB` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_LINEAR_RAW` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_PIXAR_LOG_L` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_PIXAR_LOG_LUV` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_RGB` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_RGB_PALETTE` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_TRANSPARENCY_MASK` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_WHITE_IS_ZERO` |
    `static int` | `PHOTOMETRIC_INTERPRETATION_VALUE_YCB_CR` |
    `static int` | `PLANAR_CONFIGURATION_VALUE_CHUNKY` |
    `static int` | `PLANAR_CONFIGURATION_VALUE_PLANAR` |
    `static int` | `PREDICTOR_VALUE_FLOATING_POINT_DIFFERENCING` |
    `static int` | `PREDICTOR_VALUE_HORIZONTAL_DIFFERENCING` |
    `static int` | `PREDICTOR_VALUE_NONE` |
    `static int` | `RESOLUTION_UNIT_VALUE_CM` |
    `static int` | `RESOLUTION_UNIT_VALUE_INCHES` |
    `static int` | `RESOLUTION_UNIT_VALUE_NONE` |
    `static int` | `SAMPLE_FORMAT_VALUE_COMPLEX_INTEGER` |
    `static int` | `SAMPLE_FORMAT_VALUE_IEEE_COMPLEX_FLOAT` |
    `static int` | `SAMPLE_FORMAT_VALUE_IEEE_FLOATING_POINT` |
    `static int` | `SAMPLE_FORMAT_VALUE_TWOS_COMPLEMENT_SIGNED_INTEGER` |
    `static int` | `SAMPLE_FORMAT_VALUE_UNDEFINED` |
    `static int` | `SAMPLE_FORMAT_VALUE_UNSIGNED_INTEGER` |
    `static int` | `SUBFILE_TYPE_VALUE_FULL_RESOLUTION_IMAGE` |
    `static int` | `SUBFILE_TYPE_VALUE_REDUCED_RESOLUTION_IMAGE` |
    `static int` | `SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_IMAGE` |
    `static int` | `SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_REDUCED_RESOLUTION_IMAGE` |
    `static int` | `SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK` |
    `static int` | `SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_MULTI_PAGE_IMAGE` |
    `static int` | `SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_REDUCED_RESOLUTION_IMAGE` |
    `static int` | `SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_REDUCED_RESOLUTION_MULTI_PAGE_IMAGE` |
    `static int` | `THRESHOLDING_VALUE_NO_DITHERING_OR_HALFTONING` |
    `static int` | `THRESHOLDING_VALUE_ORDERED_DITHER_OR_HALFTONE` |
    `static int` | `THRESHOLDING_VALUE_RANDOMIZED_DITHER` |
    `static TagInfoAscii` | `TIFF_TAG_ARTIST` |
    `static TagInfoShorts` | `TIFF_TAG_BITS_PER_SAMPLE` |
    `static TagInfoShort` | `TIFF_TAG_CELL_LENGTH` |
    `static TagInfoShort` | `TIFF_TAG_CELL_WIDTH` |
    `static TagInfoShorts` | `TIFF_TAG_COLOR_MAP` |
    `static TagInfoShort` | `TIFF_TAG_COMPRESSION` |
    `static TagInfoAscii` | `TIFF_TAG_COPYRIGHT` |
    `static TagInfoAscii` | `TIFF_TAG_DATE_TIME` |
    `static TagInfoAscii` | `TIFF_TAG_DOCUMENT_NAME` |
    `static TagInfoByteOrShort` | `TIFF_TAG_DOT_RANGE` |
    `static TagInfoShorts` | `TIFF_TAG_EXTRA_SAMPLES` |
    `static TagInfoShort` | `TIFF_TAG_FILL_ORDER` |
    `static TagInfoLongs` | `TIFF_TAG_FREE_BYTE_COUNTS` |
    `static TagInfoLongs` | `TIFF_TAG_FREE_OFFSETS` |
    `static TagInfoShorts` | `TIFF_TAG_GRAY_RESPONSE_CURVE` |
    `static TagInfoShort` | `TIFF_TAG_GRAY_RESPONSE_UNIT` |
    `static TagInfoShorts` | `TIFF_TAG_HALFTONE_HINTS` |
    `static TagInfoAscii` | `TIFF_TAG_HOST_COMPUTER` |
    `static TagInfoAscii` | `TIFF_TAG_IMAGE_DESCRIPTION` |
    `static TagInfoShortOrLong` | `TIFF_TAG_IMAGE_LENGTH` |
    `static TagInfoShortOrLong` | `TIFF_TAG_IMAGE_WIDTH` |
    `static TagInfoAscii` | `TIFF_TAG_INK_NAMES` |
    `static TagInfoShort` | `TIFF_TAG_INK_SET` |
    `static TagInfoLongs` | `TIFF_TAG_JPEG_ACTABLES` |
    `static TagInfoLongs` | `TIFF_TAG_JPEG_DCTABLES` |
    `static TagInfoLong` | `TIFF_TAG_JPEG_INTERCHANGE_FORMAT` |
    `static TagInfoLong` | `TIFF_TAG_JPEG_INTERCHANGE_FORMAT_LENGTH` |
    `static TagInfoShorts` | `TIFF_TAG_JPEG_LOSSLESS_PREDICTORS` |
    `static TagInfoShorts` | `TIFF_TAG_JPEG_POINT_TRANSFORMS` |
    `static TagInfoShort` | `TIFF_TAG_JPEG_PROC` |
    `static TagInfoLongs` | `TIFF_TAG_JPEG_QTABLES` |
    `static TagInfoShort` | `TIFF_TAG_JPEG_RESTART_INTERVAL` |
    `static TagInfoAscii` | `TIFF_TAG_MAKE` |
    `static TagInfoShorts` | `TIFF_TAG_MAX_SAMPLE_VALUE` |
    `static TagInfoShorts` | `TIFF_TAG_MIN_SAMPLE_VALUE` |
    `static TagInfoAscii` | `TIFF_TAG_MODEL` |
    `static TagInfoLong` | `TIFF_TAG_NEW_SUBFILE_TYPE` |
    `static TagInfoShort` | `TIFF_TAG_NUMBER_OF_INKS` |
    `static TagInfoShort` | `TIFF_TAG_ORIENTATION` |
    `static TagInfoAscii` | `TIFF_TAG_PAGE_NAME` |
    `static TagInfoShorts` | `TIFF_TAG_PAGE_NUMBER` |
    `static TagInfoShort` | `TIFF_TAG_PHOTOMETRIC_INTERPRETATION` |
    `static TagInfoShort` | `TIFF_TAG_PLANAR_CONFIGURATION` |
    `static TagInfoShort` | `TIFF_TAG_PREDICTOR` |
    `static TagInfoRationals` | `TIFF_TAG_PRIMARY_CHROMATICITIES` |
    `static TagInfoLongs` | `TIFF_TAG_REFERENCE_BLACK_WHITE` |
    `static TagInfoShort` | `TIFF_TAG_RESOLUTION_UNIT` |
    `static TagInfoShortOrLong` | `TIFF_TAG_ROWS_PER_STRIP` |
    `static TagInfoShorts` | `TIFF_TAG_SAMPLE_FORMAT` |
    `static TagInfoShort` | `TIFF_TAG_SAMPLES_PER_PIXEL` |
    `static TagInfoAny` | `TIFF_TAG_SMAX_SAMPLE_VALUE` |
    `static TagInfoAny` | `TIFF_TAG_SMIN_SAMPLE_VALUE` |
    `static TagInfoAscii` | `TIFF_TAG_SOFTWARE` |
    `static TagInfoShortOrLong` | `TIFF_TAG_STRIP_BYTE_COUNTS` |
    `static TagInfoShortOrLong` | `TIFF_TAG_STRIP_OFFSETS` |
    `static TagInfoShort` | `TIFF_TAG_SUBFILE_TYPE` |
    `static TagInfoLong` | `TIFF_TAG_T4_OPTIONS` |
    `static TagInfoLong` | `TIFF_TAG_T6_OPTIONS` |
    `static TagInfoAscii` | `TIFF_TAG_TARGET_PRINTER` |
    `static TagInfoShort` | `TIFF_TAG_THRESHHOLDING` |
    `static TagInfoShortOrLong` | `TIFF_TAG_TILE_BYTE_COUNTS` |
    `static TagInfoShortOrLong` | `TIFF_TAG_TILE_LENGTH` |
    `static TagInfoLongs` | `TIFF_TAG_TILE_OFFSETS` |
    `static TagInfoShortOrLong` | `TIFF_TAG_TILE_WIDTH` |
    `static TagInfoShorts` | `TIFF_TAG_TRANSFER_FUNCTION` |
    `static TagInfoShorts` | `TIFF_TAG_TRANSFER_RANGE` |
    `static TagInfoUnknowns` | `TIFF_TAG_UNKNOWN` |
    `static TagInfoRationals` | `TIFF_TAG_WHITE_POINT` |
    `static TagInfoBytes` | `TIFF_TAG_XMP` |
    `static TagInfoRationals` | `TIFF_TAG_XPOSITION` |
    `static TagInfoRational` | `TIFF_TAG_XRESOLUTION` |
    `static TagInfoRationals` | `TIFF_TAG_YCBCR_COEFFICIENTS` |
    `static TagInfoShort` | `TIFF_TAG_YCBCR_POSITIONING` |
    `static TagInfoShorts` | `TIFF_TAG_YCBCR_SUB_SAMPLING` |
    `static TagInfoRationals` | `TIFF_TAG_YPOSITION` |
    `static TagInfoRational` | `TIFF_TAG_YRESOLUTION` |
    `static int` | `YCB_CR_POSITIONING_VALUE_CENTERED` |
    `static int` | `YCB_CR_POSITIONING_VALUE_CO_SITED` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIFF_TAG_NEW_SUBFILE_TYPE

          public static final TagInfoLong TIFF_TAG_NEW_SUBFILE_TYPE

    - #### SUBFILE_TYPE_VALUE_FULL_RESOLUTION_IMAGE

          public static final int SUBFILE_TYPE_VALUE_FULL_RESOLUTION_IMAGE

      See Also:
        Constant Field Values

    - #### SUBFILE_TYPE_VALUE_REDUCED_RESOLUTION_IMAGE

          public static final int SUBFILE_TYPE_VALUE_REDUCED_RESOLUTION_IMAGE

      See Also:
        Constant Field Values

    - #### SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_IMAGE

          public static final int SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_IMAGE

      See Also:
        Constant Field Values

    - #### SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_REDUCED_RESOLUTION_IMAGE

          public static final int SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_REDUCED_RESOLUTION_IMAGE

      See Also:
        Constant Field Values

    - #### SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK

          public static final int SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK

      See Also:
        Constant Field Values

    - #### SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_REDUCED_RESOLUTION_IMAGE

          public static final int SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_REDUCED_RESOLUTION_IMAGE

      See Also:
        Constant Field Values

    - #### SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_MULTI_PAGE_IMAGE

          public static final int SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_MULTI_PAGE_IMAGE

      See Also:
        Constant Field Values

    - #### SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_REDUCED_RESOLUTION_MULTI_PAGE_IMAGE

          public static final int SUBFILE_TYPE_VALUE_TRANSPARENCY_MASK_OF_REDUCED_RESOLUTION_MULTI_PAGE_IMAGE

      See Also:
        Constant Field Values

    - #### TIFF_TAG_SUBFILE_TYPE

          public static final TagInfoShort TIFF_TAG_SUBFILE_TYPE

    - #### OLD_SUBFILE_TYPE_VALUE_FULL_RESOLUTION_IMAGE

          public static final int OLD_SUBFILE_TYPE_VALUE_FULL_RESOLUTION_IMAGE

      See Also:
        Constant Field Values

    - #### OLD_SUBFILE_TYPE_VALUE_REDUCED_RESOLUTION_IMAGE

          public static final int OLD_SUBFILE_TYPE_VALUE_REDUCED_RESOLUTION_IMAGE

      See Also:
        Constant Field Values

    - #### OLD_SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_IMAGE

          public static final int OLD_SUBFILE_TYPE_VALUE_SINGLE_PAGE_OF_MULTI_PAGE_IMAGE

      See Also:
        Constant Field Values

    - #### TIFF_TAG_IMAGE_WIDTH

          public static final TagInfoShortOrLong TIFF_TAG_IMAGE_WIDTH

    - #### TIFF_TAG_IMAGE_LENGTH

          public static final TagInfoShortOrLong TIFF_TAG_IMAGE_LENGTH

    - #### TIFF_TAG_BITS_PER_SAMPLE

          public static final TagInfoShorts TIFF_TAG_BITS_PER_SAMPLE

    - #### TIFF_TAG_COMPRESSION

          public static final TagInfoShort TIFF_TAG_COMPRESSION

    - #### COMPRESSION_VALUE_UNCOMPRESSED

          public static final int COMPRESSION_VALUE_UNCOMPRESSED

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_CCITT_1D

          public static final int COMPRESSION_VALUE_CCITT_1D

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_T4_GROUP_3_FAX

          public static final int COMPRESSION_VALUE_T4_GROUP_3_FAX

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_T6_GROUP_4_FAX

          public static final int COMPRESSION_VALUE_T6_GROUP_4_FAX

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_LZW

          public static final int COMPRESSION_VALUE_LZW

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_JPEG_OLD_STYLE

          public static final int COMPRESSION_VALUE_JPEG_OLD_STYLE

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_JPEG

          public static final int COMPRESSION_VALUE_JPEG

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_ADOBE_DEFLATE

          public static final int COMPRESSION_VALUE_ADOBE_DEFLATE

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_JBIG_B_AND_W

          public static final int COMPRESSION_VALUE_JBIG_B_AND_W

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_JBIG_COLOR

          public static final int COMPRESSION_VALUE_JBIG_COLOR

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_NEXT

          public static final int COMPRESSION_VALUE_NEXT

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_EPSON_ERF_COMPRESSED

          public static final int COMPRESSION_VALUE_EPSON_ERF_COMPRESSED

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_CCIRLEW

          public static final int COMPRESSION_VALUE_CCIRLEW

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_PACK_BITS

          public static final int COMPRESSION_VALUE_PACK_BITS

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_THUNDERSCAN

          public static final int COMPRESSION_VALUE_THUNDERSCAN

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_IT8CTPAD

          public static final int COMPRESSION_VALUE_IT8CTPAD

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_IT8LW

          public static final int COMPRESSION_VALUE_IT8LW

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_IT8MP

          public static final int COMPRESSION_VALUE_IT8MP

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_IT8BL

          public static final int COMPRESSION_VALUE_IT8BL

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_PIXAR_FILM

          public static final int COMPRESSION_VALUE_PIXAR_FILM

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_PIXAR_LOG

          public static final int COMPRESSION_VALUE_PIXAR_LOG

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_DEFLATE

          public static final int COMPRESSION_VALUE_DEFLATE

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_DCS

          public static final int COMPRESSION_VALUE_DCS

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_JBIG

          public static final int COMPRESSION_VALUE_JBIG

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_SGILOG

          public static final int COMPRESSION_VALUE_SGILOG

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_SGILOG_24

          public static final int COMPRESSION_VALUE_SGILOG_24

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_JPEG_2000

          public static final int COMPRESSION_VALUE_JPEG_2000

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_NIKON_NEF_COMPRESSED

          public static final int COMPRESSION_VALUE_NIKON_NEF_COMPRESSED

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_KODAK_DCR_COMPRESSED

          public static final int COMPRESSION_VALUE_KODAK_DCR_COMPRESSED

      See Also:
        Constant Field Values

    - #### COMPRESSION_VALUE_PENTAX_PEF_COMPRESSED

          public static final int COMPRESSION_VALUE_PENTAX_PEF_COMPRESSED

      See Also:
        Constant Field Values

    - #### TIFF_TAG_PHOTOMETRIC_INTERPRETATION

          public static final TagInfoShort TIFF_TAG_PHOTOMETRIC_INTERPRETATION

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_WHITE_IS_ZERO

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_WHITE_IS_ZERO

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_BLACK_IS_ZERO

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_BLACK_IS_ZERO

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_RGB

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_RGB

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_RGB_PALETTE

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_RGB_PALETTE

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_TRANSPARENCY_MASK

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_TRANSPARENCY_MASK

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_CMYK

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_CMYK

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_YCB_CR

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_YCB_CR

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_CIELAB

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_CIELAB

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_ICCLAB

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_ICCLAB

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_ITULAB

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_ITULAB

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_COLOR_FILTER_ARRAY

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_COLOR_FILTER_ARRAY

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_PIXAR_LOG_L

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_PIXAR_LOG_L

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_PIXAR_LOG_LUV

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_PIXAR_LOG_LUV

      See Also:
        Constant Field Values

    - #### PHOTOMETRIC_INTERPRETATION_VALUE_LINEAR_RAW

          public static final int PHOTOMETRIC_INTERPRETATION_VALUE_LINEAR_RAW

      See Also:
        Constant Field Values

    - #### TIFF_TAG_THRESHHOLDING

          public static final TagInfoShort TIFF_TAG_THRESHHOLDING

    - #### THRESHOLDING_VALUE_NO_DITHERING_OR_HALFTONING

          public static final int THRESHOLDING_VALUE_NO_DITHERING_OR_HALFTONING

      See Also:
        Constant Field Values

    - #### THRESHOLDING_VALUE_ORDERED_DITHER_OR_HALFTONE

          public static final int THRESHOLDING_VALUE_ORDERED_DITHER_OR_HALFTONE

      See Also:
        Constant Field Values

    - #### THRESHOLDING_VALUE_RANDOMIZED_DITHER

          public static final int THRESHOLDING_VALUE_RANDOMIZED_DITHER

      See Also:
        Constant Field Values

    - #### TIFF_TAG_CELL_WIDTH

          public static final TagInfoShort TIFF_TAG_CELL_WIDTH

    - #### TIFF_TAG_CELL_LENGTH

          public static final TagInfoShort TIFF_TAG_CELL_LENGTH

    - #### TIFF_TAG_FILL_ORDER

          public static final TagInfoShort TIFF_TAG_FILL_ORDER

    - #### FILL_ORDER_VALUE_NORMAL

          public static final int FILL_ORDER_VALUE_NORMAL

      See Also:
        Constant Field Values

    - #### FILL_ORDER_VALUE_REVERSED

          public static final int FILL_ORDER_VALUE_REVERSED

      See Also:
        Constant Field Values

    - #### TIFF_TAG_DOCUMENT_NAME

          public static final TagInfoAscii TIFF_TAG_DOCUMENT_NAME

    - #### TIFF_TAG_IMAGE_DESCRIPTION

          public static final TagInfoAscii TIFF_TAG_IMAGE_DESCRIPTION

    - #### TIFF_TAG_MAKE

          public static final TagInfoAscii TIFF_TAG_MAKE

    - #### TIFF_TAG_MODEL

          public static final TagInfoAscii TIFF_TAG_MODEL

    - #### TIFF_TAG_STRIP_OFFSETS

          public static final TagInfoShortOrLong TIFF_TAG_STRIP_OFFSETS

    - #### TIFF_TAG_ORIENTATION

          public static final TagInfoShort TIFF_TAG_ORIENTATION

    - #### ORIENTATION_VALUE_HORIZONTAL_NORMAL

          public static final int ORIENTATION_VALUE_HORIZONTAL_NORMAL

      See Also:
        Constant Field Values

    - #### ORIENTATION_VALUE_MIRROR_HORIZONTAL

          public static final int ORIENTATION_VALUE_MIRROR_HORIZONTAL

      See Also:
        Constant Field Values

    - #### ORIENTATION_VALUE_ROTATE_180

          public static final int ORIENTATION_VALUE_ROTATE_180

      See Also:
        Constant Field Values

    - #### ORIENTATION_VALUE_MIRROR_VERTICAL

          public static final int ORIENTATION_VALUE_MIRROR_VERTICAL

      See Also:
        Constant Field Values

    - #### ORIENTATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_270_CW

          public static final int ORIENTATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_270_CW

      See Also:
        Constant Field Values

    - #### ORIENTATION_VALUE_ROTATE_90_CW

          public static final int ORIENTATION_VALUE_ROTATE_90_CW

      See Also:
        Constant Field Values

    - #### ORIENTATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_90_CW

          public static final int ORIENTATION_VALUE_MIRROR_HORIZONTAL_AND_ROTATE_90_CW

      See Also:
        Constant Field Values

    - #### ORIENTATION_VALUE_ROTATE_270_CW

          public static final int ORIENTATION_VALUE_ROTATE_270_CW

      See Also:
        Constant Field Values

    - #### TIFF_TAG_SAMPLES_PER_PIXEL

          public static final TagInfoShort TIFF_TAG_SAMPLES_PER_PIXEL

    - #### TIFF_TAG_ROWS_PER_STRIP

          public static final TagInfoShortOrLong TIFF_TAG_ROWS_PER_STRIP

    - #### TIFF_TAG_STRIP_BYTE_COUNTS

          public static final TagInfoShortOrLong TIFF_TAG_STRIP_BYTE_COUNTS

    - #### TIFF_TAG_MIN_SAMPLE_VALUE

          public static final TagInfoShorts TIFF_TAG_MIN_SAMPLE_VALUE

    - #### TIFF_TAG_MAX_SAMPLE_VALUE

          public static final TagInfoShorts TIFF_TAG_MAX_SAMPLE_VALUE

    - #### TIFF_TAG_XRESOLUTION

          public static final TagInfoRational TIFF_TAG_XRESOLUTION

    - #### TIFF_TAG_YRESOLUTION

          public static final TagInfoRational TIFF_TAG_YRESOLUTION

    - #### TIFF_TAG_PLANAR_CONFIGURATION

          public static final TagInfoShort TIFF_TAG_PLANAR_CONFIGURATION

    - #### PLANAR_CONFIGURATION_VALUE_CHUNKY

          public static final int PLANAR_CONFIGURATION_VALUE_CHUNKY

      See Also:
        Constant Field Values

    - #### PLANAR_CONFIGURATION_VALUE_PLANAR

          public static final int PLANAR_CONFIGURATION_VALUE_PLANAR

      See Also:
        Constant Field Values

    - #### TIFF_TAG_PAGE_NAME

          public static final TagInfoAscii TIFF_TAG_PAGE_NAME

    - #### TIFF_TAG_XPOSITION

          public static final TagInfoRationals TIFF_TAG_XPOSITION

    - #### TIFF_TAG_YPOSITION

          public static final TagInfoRationals TIFF_TAG_YPOSITION

    - #### TIFF_TAG_FREE_OFFSETS

          public static final TagInfoLongs TIFF_TAG_FREE_OFFSETS

    - #### TIFF_TAG_FREE_BYTE_COUNTS

          public static final TagInfoLongs TIFF_TAG_FREE_BYTE_COUNTS

    - #### TIFF_TAG_GRAY_RESPONSE_UNIT

          public static final TagInfoShort TIFF_TAG_GRAY_RESPONSE_UNIT

    - #### GRAY_RESPONSE_UNIT_VALUE_0_1

          public static final int GRAY_RESPONSE_UNIT_VALUE_0_1

      See Also:
        Constant Field Values

    - #### GRAY_RESPONSE_UNIT_VALUE_0_01

          public static final int GRAY_RESPONSE_UNIT_VALUE_0_01

      See Also:
        Constant Field Values

    - #### GRAY_RESPONSE_UNIT_VALUE_0_001

          public static final int GRAY_RESPONSE_UNIT_VALUE_0_001

      See Also:
        Constant Field Values

    - #### GRAY_RESPONSE_UNIT_VALUE_0_0001

          public static final int GRAY_RESPONSE_UNIT_VALUE_0_0001

      See Also:
        Constant Field Values

    - #### GRAY_RESPONSE_UNIT_VALUE_0_00001

          public static final int GRAY_RESPONSE_UNIT_VALUE_0_00001

      See Also:
        Constant Field Values

    - #### TIFF_TAG_GRAY_RESPONSE_CURVE

          public static final TagInfoShorts TIFF_TAG_GRAY_RESPONSE_CURVE

    - #### TIFF_TAG_T4_OPTIONS

          public static final TagInfoLong TIFF_TAG_T4_OPTIONS

    - #### TIFF_TAG_T6_OPTIONS

          public static final TagInfoLong TIFF_TAG_T6_OPTIONS

    - #### TIFF_TAG_RESOLUTION_UNIT

          public static final TagInfoShort TIFF_TAG_RESOLUTION_UNIT

    - #### RESOLUTION_UNIT_VALUE_NONE

          public static final int RESOLUTION_UNIT_VALUE_NONE

      See Also:
        Constant Field Values

    - #### RESOLUTION_UNIT_VALUE_INCHES

          public static final int RESOLUTION_UNIT_VALUE_INCHES

      See Also:
        Constant Field Values

    - #### RESOLUTION_UNIT_VALUE_CM

          public static final int RESOLUTION_UNIT_VALUE_CM

      See Also:
        Constant Field Values

    - #### TIFF_TAG_PAGE_NUMBER

          public static final TagInfoShorts TIFF_TAG_PAGE_NUMBER

    - #### TIFF_TAG_TRANSFER_FUNCTION

          public static final TagInfoShorts TIFF_TAG_TRANSFER_FUNCTION

    - #### TIFF_TAG_SOFTWARE

          public static final TagInfoAscii TIFF_TAG_SOFTWARE

    - #### TIFF_TAG_DATE_TIME

          public static final TagInfoAscii TIFF_TAG_DATE_TIME

    - #### TIFF_TAG_ARTIST

          public static final TagInfoAscii TIFF_TAG_ARTIST

    - #### TIFF_TAG_HOST_COMPUTER

          public static final TagInfoAscii TIFF_TAG_HOST_COMPUTER

    - #### TIFF_TAG_PREDICTOR

          public static final TagInfoShort TIFF_TAG_PREDICTOR

    - #### PREDICTOR_VALUE_NONE

          public static final int PREDICTOR_VALUE_NONE

      See Also:
        Constant Field Values

    - #### PREDICTOR_VALUE_HORIZONTAL_DIFFERENCING

          public static final int PREDICTOR_VALUE_HORIZONTAL_DIFFERENCING

      See Also:
        Constant Field Values

    - #### PREDICTOR_VALUE_FLOATING_POINT_DIFFERENCING

          public static final int PREDICTOR_VALUE_FLOATING_POINT_DIFFERENCING

      See Also:
        Constant Field Values

    - #### TIFF_TAG_WHITE_POINT

          public static final TagInfoRationals TIFF_TAG_WHITE_POINT

    - #### TIFF_TAG_PRIMARY_CHROMATICITIES

          public static final TagInfoRationals TIFF_TAG_PRIMARY_CHROMATICITIES

    - #### TIFF_TAG_COLOR_MAP

          public static final TagInfoShorts TIFF_TAG_COLOR_MAP

    - #### TIFF_TAG_HALFTONE_HINTS

          public static final TagInfoShorts TIFF_TAG_HALFTONE_HINTS

    - #### TIFF_TAG_TILE_WIDTH

          public static final TagInfoShortOrLong TIFF_TAG_TILE_WIDTH

    - #### TIFF_TAG_TILE_LENGTH

          public static final TagInfoShortOrLong TIFF_TAG_TILE_LENGTH

    - #### TIFF_TAG_TILE_OFFSETS

          public static final TagInfoLongs TIFF_TAG_TILE_OFFSETS

    - #### TIFF_TAG_TILE_BYTE_COUNTS

          public static final TagInfoShortOrLong TIFF_TAG_TILE_BYTE_COUNTS

    - #### TIFF_TAG_INK_SET

          public static final TagInfoShort TIFF_TAG_INK_SET

    - #### INK_SET_VALUE_CMYK

          public static final int INK_SET_VALUE_CMYK

      See Also:
        Constant Field Values

    - #### INK_SET_VALUE_NOT_CMYK

          public static final int INK_SET_VALUE_NOT_CMYK

      See Also:
        Constant Field Values

    - #### TIFF_TAG_INK_NAMES

          public static final TagInfoAscii TIFF_TAG_INK_NAMES

    - #### TIFF_TAG_NUMBER_OF_INKS

          public static final TagInfoShort TIFF_TAG_NUMBER_OF_INKS

    - #### TIFF_TAG_DOT_RANGE

          public static final TagInfoByteOrShort TIFF_TAG_DOT_RANGE

    - #### TIFF_TAG_TARGET_PRINTER

          public static final TagInfoAscii TIFF_TAG_TARGET_PRINTER

    - #### TIFF_TAG_EXTRA_SAMPLES

          public static final TagInfoShorts TIFF_TAG_EXTRA_SAMPLES

    - #### EXTRA_SAMPLE_ASSOCIATED_ALPHA

          public static final int EXTRA_SAMPLE_ASSOCIATED_ALPHA

      See Also:
        Constant Field Values

    - #### EXTRA_SAMPLE_UNASSOCIATED_ALPHA

          public static final int EXTRA_SAMPLE_UNASSOCIATED_ALPHA

      See Also:
        Constant Field Values

    - #### TIFF_TAG_SAMPLE_FORMAT

          public static final TagInfoShorts TIFF_TAG_SAMPLE_FORMAT

    - #### SAMPLE_FORMAT_VALUE_UNSIGNED_INTEGER

          public static final int SAMPLE_FORMAT_VALUE_UNSIGNED_INTEGER

      See Also:
        Constant Field Values

    - #### SAMPLE_FORMAT_VALUE_TWOS_COMPLEMENT_SIGNED_INTEGER

          public static final int SAMPLE_FORMAT_VALUE_TWOS_COMPLEMENT_SIGNED_INTEGER

      See Also:
        Constant Field Values

    - #### SAMPLE_FORMAT_VALUE_IEEE_FLOATING_POINT

          public static final int SAMPLE_FORMAT_VALUE_IEEE_FLOATING_POINT

      See Also:
        Constant Field Values

    - #### SAMPLE_FORMAT_VALUE_UNDEFINED

          public static final int SAMPLE_FORMAT_VALUE_UNDEFINED

      See Also:
        Constant Field Values

    - #### SAMPLE_FORMAT_VALUE_COMPLEX_INTEGER

          public static final int SAMPLE_FORMAT_VALUE_COMPLEX_INTEGER

      See Also:
        Constant Field Values

    - #### SAMPLE_FORMAT_VALUE_IEEE_COMPLEX_FLOAT

          public static final int SAMPLE_FORMAT_VALUE_IEEE_COMPLEX_FLOAT

      See Also:
        Constant Field Values

    - #### TIFF_TAG_SMIN_SAMPLE_VALUE

          public static final TagInfoAny TIFF_TAG_SMIN_SAMPLE_VALUE

    - #### TIFF_TAG_SMAX_SAMPLE_VALUE

          public static final TagInfoAny TIFF_TAG_SMAX_SAMPLE_VALUE

    - #### TIFF_TAG_TRANSFER_RANGE

          public static final TagInfoShorts TIFF_TAG_TRANSFER_RANGE

    - #### TIFF_TAG_JPEG_PROC

          public static final TagInfoShort TIFF_TAG_JPEG_PROC

    - #### JPEGPROC_VALUE_BASELINE

          public static final int JPEGPROC_VALUE_BASELINE

      See Also:
        Constant Field Values

    - #### JPEGPROC_VALUE_LOSSLESS

          public static final int JPEGPROC_VALUE_LOSSLESS

      See Also:
        Constant Field Values

    - #### TIFF_TAG_JPEG_INTERCHANGE_FORMAT

          public static final TagInfoLong TIFF_TAG_JPEG_INTERCHANGE_FORMAT

    - #### TIFF_TAG_JPEG_INTERCHANGE_FORMAT_LENGTH

          public static final TagInfoLong TIFF_TAG_JPEG_INTERCHANGE_FORMAT_LENGTH

    - #### TIFF_TAG_JPEG_RESTART_INTERVAL

          public static final TagInfoShort TIFF_TAG_JPEG_RESTART_INTERVAL

    - #### TIFF_TAG_JPEG_LOSSLESS_PREDICTORS

          public static final TagInfoShorts TIFF_TAG_JPEG_LOSSLESS_PREDICTORS

    - #### TIFF_TAG_JPEG_POINT_TRANSFORMS

          public static final TagInfoShorts TIFF_TAG_JPEG_POINT_TRANSFORMS

    - #### TIFF_TAG_JPEG_QTABLES

          public static final TagInfoLongs TIFF_TAG_JPEG_QTABLES

    - #### TIFF_TAG_JPEG_DCTABLES

          public static final TagInfoLongs TIFF_TAG_JPEG_DCTABLES

    - #### TIFF_TAG_JPEG_ACTABLES

          public static final TagInfoLongs TIFF_TAG_JPEG_ACTABLES

    - #### TIFF_TAG_YCBCR_COEFFICIENTS

          public static final TagInfoRationals TIFF_TAG_YCBCR_COEFFICIENTS

    - #### TIFF_TAG_YCBCR_SUB_SAMPLING

          public static final TagInfoShorts TIFF_TAG_YCBCR_SUB_SAMPLING

    - #### TIFF_TAG_YCBCR_POSITIONING

          public static final TagInfoShort TIFF_TAG_YCBCR_POSITIONING

    - #### YCB_CR_POSITIONING_VALUE_CENTERED

          public static final int YCB_CR_POSITIONING_VALUE_CENTERED

      See Also:
        Constant Field Values

    - #### YCB_CR_POSITIONING_VALUE_CO_SITED

          public static final int YCB_CR_POSITIONING_VALUE_CO_SITED

      See Also:
        Constant Field Values

    - #### TIFF_TAG_REFERENCE_BLACK_WHITE

          public static final TagInfoLongs TIFF_TAG_REFERENCE_BLACK_WHITE

    - #### TIFF_TAG_COPYRIGHT

          public static final TagInfoAscii TIFF_TAG_COPYRIGHT

    - #### TIFF_TAG_XMP

          public static final TagInfoBytes TIFF_TAG_XMP

    - #### TIFF_TAG_UNKNOWN

          public static final TagInfoUnknowns TIFF_TAG_UNKNOWN

    - #### ALL_TIFF_TAGS

          public static final List<TagInfo> ALL_TIFF_TAGS